sdr - Added SDR++. Thanks for contribution, William.

This commit is contained in:
thetechprepper
2025-12-01 08:25:35 -07:00
parent e017d43ce8
commit 0fa7f75bed
3 changed files with 40 additions and 1 deletions
+31
View File
@@ -0,0 +1,31 @@
#!/bin/bash
#
# Author : William McKeehan
# Author : Gaston Gonzalez
# Date : 3 September 2025
# Updated : 1 December 2025
# Purpose : Install SDR++
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=sdrpp
VERSION=nightly
DOWNLOAD_FILE=sdrpp_ubuntu_jammy_amd64.deb
et-log "Installing ${APP} ${VERSION}..."
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/AlexandreRouma/SDRPlusPlus/releases/download/${VERSION}/${DOWNLOAD_FILE}"
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
DEBIAN_FRONTEND=noninteractive dpkg -i "${ET_DIST_DIR}/${DOWNLOAD_FILE}"
apt install -f -y
+2 -1
View File
@@ -2,7 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 12 November 2025
# Updated : 1 December 2025
# Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh
@@ -73,6 +73,7 @@ exitIfNotRoot
# Install SDR tools
./install-sdr-tools.sh
./install-dump1090.sh
./install-spp.sh
# Install ETC custom maps
./download-et-maps.sh
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 1 December 2025
# Purpose : Test SDR++ installation
OUT=$(which sdrpp)
exit $?